%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  not
%global packver   1.6
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.6
Release:          1%{?dist}%{?buildtag}
Summary:          Narrowest-Over-Threshold Change-Point Detection

License:          GPL-2
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildRequires:    R-graphics 
BuildRequires:    R-stats 
BuildRequires:    R-splines 
Requires:         R-graphics 
Requires:         R-stats 
Requires:         R-splines 

%description
Provides efficient implementation of the Narrowest-Over-Threshold
methodology for detecting an unknown number of change-points occurring at
unknown locations in one-dimensional data following 'deterministic signal
+ noise' model. Currently implemented scenarios are: piecewise-constant
signal, piecewise-constant signal with a heavy-tailed noise,
piecewise-linear signal, piecewise-quadratic signal, piecewise-constant
signal and with piecewise-constant variance of the noise. For details, see
Baranowski, Chen and Fryzlewicz (2019) <doi:10.1111/rssb.12322>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
